<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qmth.themis.business.dao.TEExamStudentLogMapper">

	<select id="getExamStudentLogList" resultType="com.qmth.themis.business.bean.admin.ExamStudentLogDetailListBean">
		select
			f.create_time createTime,
            (case when JSON_VALID(f.title) = 1 then CONVERT((f.title->>'$.title') USING utf8) else f.title end) as type,
			f.info remark,
            f.ip,
            f.country,
            f.region,
            f.province,
            f.city,
            f.isp,
            f.id
		from
			t_e_exam_student_log f
		where
			f.exam_student_id = #{examStudentId}
		order by
			f.create_time
	</select>
</mapper>
